> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Execute Queries (Alpha)

> Limit of 100,000 results



## OpenAPI

````yaml post /query/execute
openapi: 3.0.2
info:
  title: Data Cloud Task API
  version: '1.0'
servers:
  - url: https://api.chainbase.com/api/v1
security: []
paths:
  /query/execute:
    post:
      parameters:
        - $ref: '#/components/parameters/X-API-KEY'
        - $ref: '#/components/parameters/Content-Type'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                sql:
                  type: string
                  example: SELECT * FROM ethereum.blocks LIMIT 10
      responses:
        '200':
          description: OK
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: sql is empty
                  code:
                    type: integer
                    format: int32
                    example: 1001
                  data:
                    type: array
                    example: []
components:
  parameters:
    X-API-KEY:
      name: X-API-KEY
      in: header
      required: true
      schema:
        type: string
    Content-Type:
      name: Content-Type
      in: header
      required: true
      schema:
        type: string
        example: application/json

````